View Issue Details

IDProjectCategoryView StatusLast Update
0002588OpenFOAM[All Projects] Bugpublic2018-07-10 11:17
ReporterelomriAssigned Tohenry 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOpensuse Leap 42.1OSOtherOS Version(please specify)
Product Version4.1 
Fixed in Version4.x 
Summary0002588: OpenFoam comilation
DescriptionWhile compiling via ./Allwmake -j in OpenFoam file an error keeps coming each time i retry saying #OpenFOAM-4.1/wmake/makefiles/apps:39: recipe for target 'mesh' failed
make: *** [mesh] Error 2#
i adapted the OpenFoam/etc/bashrc to the path where i downloaded the source code and sourced it from $HOME/.bashrc

Thank you in advance
TagsMesh

Activities

elomri

2017-06-22 14:21

reporter  

log.make (119,381 bytes)

wyldckat

2017-06-22 16:52

updater   ~0008235

Many thanks for the log file, since this makes it clear that the system CGAL library is not available.

If you search for the first occurrence of "error", you will see this error message:


    In file included from lnInclude/CGALTriangulation3Ddefs.H:41:0,
                     from DelaunayMeshTools/DelaunayMeshTools.H:45,
                     from DelaunayMeshTools/DelaunayMeshTools.C:26:
    lnInclude/CGALTriangulation3DKernel.H:36:43: fatal error: CGAL/Delaunay_triangulation_3.h: No such file or directory
     #include "CGAL/Delaunay_triangulation_3.h"



Which brings me to the following question: Which exact installation instructions are you following?

elomri

2017-06-22 17:01

reporter   ~0008236

Thank you for the answer !

I don't exactly know what the CGAL library is. But to answer your question i'm following the instruction to download the source Pack on the site : https://openfoam.org/download/4-1-source/

wyldckat

2017-06-24 20:25

updater   ~0008241

@elomri: Many thanks for the feedback! This makes it a lot easier to diagnose the issue.

Please install the package "cgal-devel" and run Allwmake once again, for example, by running these commands from within the folder "OpenFOAM-4.1":

  sudo zypper install cgal-devel
  ./Allwmake -j > log.make

wyldckat

2017-06-24 20:40

updater   ~0008242

@chris: Given that all patch versions of OpenFOAM 4 will build foamyHexMesh and foamyQuadMesh by default, please add to the page https://openfoam.org/download/source/software-for-compilation/ - the following additional details (or add them only to the OpenFOAM 4.* pages?):


For the section "Installing dependent packages on Ubuntu (versions 14.04 or above)":

  Install packages for foamyHexMesh and foamyQuadMesh (valid for Ubuntu 16.04 and newer versions):

    sudo apt-get install libgmp-dev libmpfr-dev libcgal-dev


For the section "Installing on SuSE (OpenSuSE/SLES v12 or above, or Tumbleweed)":

  Install packages for foamyHexMesh and foamyQuadMesh:

    sudo zypper install cgal-devel


Still on this section, in the list entry "Install general packages for OpenFOAM", add the following note:

    Note: When installing Open-MPI for the first time, either log out and then log back in, or run the following command as the same user as with which OpenFOAM will be built:

      source /etc/profile.d/mpi-selector.sh


This is needed, otherwise an error message will appear stating that "mpicc was not found" when sourcing OpenFOAM's bashrc file.

elomri

2017-06-29 12:54

reporter   ~0008279

Thank you for the answer.
The way i installed OpenFoam was to avoid using the super-user password which is needed for installing the packages. Which means that the sudo Zypper install would not work for my case.

But i already have got a solution in which i installed the missing libraries in the Third-Party folder via :
tar -xzf download/cmake-3.2.1.tar.gz
tar -xJf download/CGAL-4.8.tar.xz
tar -xjf download/boost_1_55_0.tar.bz2

and compiled them:

sed -i -e 's/\(boost_version=\)boost-system/\1boost_1_55_0/' OpenFOAM-4.1/etc/config.sh/CGAL
sed -i -e 's/\(cgal_version=\)cgal-system/\1CGAL-4.8/' OpenFOAM-4.1/etc/config.sh/CGAL
sed -i -e 's=\-lmpfr=-lmpfr -lboost_thread=' OpenFOAM-4.1/wmake/rules/General/CGAL

and then compiled the third-party and OpenFoam. This way it worked and now i can use the solver.

This issue may be marked as solved. Thank you for the assisstance

henry

2017-06-29 19:17

manager   ~0008282

Resolved by commit b5331fdc86569ec0e05113c7c4147e45f6f67a16

Issue History

Date Modified Username Field Change
2017-06-22 14:21 elomri New Issue
2017-06-22 14:21 elomri File Added: log.make
2017-06-22 14:21 elomri Tag Attached: error
2017-06-22 14:21 elomri Tag Attached: Mesh
2017-06-22 16:52 wyldckat Note Added: 0008235
2017-06-22 17:01 elomri Note Added: 0008236
2017-06-24 20:25 wyldckat Note Added: 0008241
2017-06-24 20:40 wyldckat Note Added: 0008242
2017-06-24 20:40 wyldckat Assigned To => chris
2017-06-24 20:40 wyldckat Status new => assigned
2017-06-29 12:54 elomri Note Added: 0008279
2017-06-29 19:17 henry Assigned To chris => henry
2017-06-29 19:17 henry Status assigned => resolved
2017-06-29 19:17 henry Resolution open => fixed
2017-06-29 19:17 henry Fixed in Version => 4.x
2017-06-29 19:17 henry Note Added: 0008282
2018-07-10 11:17 administrator Tag Detached: error